Bug 145635 (IT_52273) - telnetd loops on child IO error
Summary: telnetd loops on child IO error
Status: CLOSED ERRATA
Alias: IT_52273
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: telnet   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 11:12 UTC by Martin Poole
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: 1:0.17-20.EL2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 11:15:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix EIO loop error (775 bytes, patch)
2005-01-20 11:15 UTC, Martin Poole
no flags Details | Diff

Description Martin Poole 2005-01-20 11:12:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
telnetd can loop on an error in the child side process

read(3, 0x80541a0, 8192)                = -1 EIO (Input/output error)
select(4, [0 3], [], [0], NULL)         = 1 (in [3])
read(3, 0x80541a0, 8192)                = -1 EIO (Input/output error)
select(4, [0 3], [], [0], NULL)         = 1 (in [3])
read(3, 0x80541a0, 8192)                = -1 EIO (Input/output error)
select(4, [0 3], [], [0], NULL)         = 1 (in [3])



Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.not available
2.
3.
    

Additional info:

Comment 1 Martin Poole 2005-01-20 11:15:36 UTC
Created attachment 110002 [details]
Patch to fix EIO loop error


Note You need to log in before you can comment on or make changes to this bug.